# Python module
""" image.py -- handle view for IMAGES
"""

import ui, html

imageUrl = "internal:image"
template = """<html><body><img src="%s"></body></html>"""

class View (html.View) :
    """
    load and display image contents.
    No actions to handle here.
    """

    def __init__ (self, doc) :
        html.View.__init__ (self, doc)
        html.View.writeDoc (self, template % imageUrl)
        stream = self.inject
        self.inject = None
        ui.cschtml.end (self.html, stream, ui.cschtml.STREAM_OK)

    def loadDependentUrl (self, html, url, stream, win) :
        assert url == imageUrl
        self.inject = stream

